# QwtEventPattern::MousePattern Class Reference

A pattern for mouse events. More...

`#include <qwt_event_pattern.h>`

List of all members.

## Public Member Functions

| MousePattern (int btn=Qt::NoButton, int st=Qt::NoButton)

## Public Attributes

int | button
int | state

## Detailed Description

A pattern for mouse events.

## Constructor & Destructor Documentation

QwtEventPattern::MousePattern::MousePattern | ( | int | btn = `Qt::NoButton`,
|  | int | st = `Qt::NoButton`
| ) |  | `[inline]`

Constructor.

## Member Data Documentation

int QwtEventPattern::MousePattern::button

Button code.

int QwtEventPattern::MousePattern::state

State.